Part Spiral/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Ein Part-Spirale-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.")
(Created page with "Beispiel:")
 
(5 intermediate revisions by the same user not shown)
Line 35: Line 35:
Ein Part-Spirale-Objekt, das mit dem [[#Skripten|Skriptbeispiel]] weiter unten erzeugt wurde wird hier dargestellt.
Ein Part-Spirale-Objekt, das mit dem [[#Skripten|Skriptbeispiel]] weiter unten erzeugt wurde wird hier dargestellt.


== Properties ==
==Eigenschaften==


See also: [[Property_editor|Property editor]].
Siehe auch: [[Property_editor/de|Eigenschafteneditor]].


A Part Spiral object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
Ein Part-Spirale-Objekt wird von einem [[Part_Feature/de|Part-Formelement]] abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:


=== Data ===
===Daten===


{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}
Line 54: Line 54:
* {{PropertyData|Segment Length|QuantityConstraint}}: The number of turns per spiral subdivision. The default is {{Value|1}}, meaning each full turn of the spiral is a separate segment. Use {{Value|0}} to suppress subdivision.
* {{PropertyData|Segment Length|QuantityConstraint}}: The number of turns per spiral subdivision. The default is {{Value|1}}, meaning each full turn of the spiral is a separate segment. Use {{Value|0}} to suppress subdivision.


== Scripting ==
==Skripten==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
Line 67: Line 67:
* The function returns the newly created object.
* The function returns the newly created object.


Beispiel:
Example:


{{Code|code=
{{Code|code=

Latest revision as of 15:11, 20 April 2022

Part Spirale

Menüeintrag
Formteil → Grundkörper erstellen... → Spirale
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
0.14
Siehe auch
Part Grundelemente

Beschreibung

Eine Part Spirale ist ein parametrischer Volumenkörper, der mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, liegt die Spirale auf der XY-Ebene mit ihrem Mittelpunkt im Ursprung und ihrem Startpunkt auf der X-Achse. Sie öffnet sich gegen den Uhrzeigersinn.

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Spirale aus dem Skriptbeispiel

Ein Part-Spirale-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Spirale-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Spiral

  • DatenGrowth (Length): The distance between two consecutive turns of the spiral. The default is 1mm.
  • DatenRadius (Length): The start radius of the spiral, the distance between its center and its start point. Can be 0mm. The default is 1mm.
  • DatenRotations (QuantityConstraint): The number of rotations, or turns, of the spiral. The default is 2.
  • DatenSegment Length (QuantityConstraint): The number of turns per spiral subdivision. The default is 1, meaning each full turn of the spiral is a separate segment. Use 0 to suppress subdivision.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Spiral can be created with the addObject() method of the document:

spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
  • Where "mySpiral" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

spiral = doc.addObject("Part::Spiral", "mySpiral")
spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4
spiral.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()